#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct TooManyTagKeysRequested {
    #[serde(rename = "maxTagKeys")]
    max_tag_keys: i32,
}
impl TooManyTagKeysRequested {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(max_tag_keys: i32) -> Self {
        Self::builder().max_tag_keys(max_tag_keys).build()
    }
    #[inline]
    pub fn max_tag_keys(&self) -> i32 {
        self.max_tag_keys
    }
}
impl conjure_error::ErrorType for TooManyTagKeysRequested {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "DataSource:TooManyTagKeysRequested"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["maxTagKeys"]
    }
}
